For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETGet account
      • GETList accounts
      • GETList audit logs

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAccounts

List audit logs

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/audit_logs
GET
/v4/accounts/:account_id/audit_logs
1from frameio_experimental import FrameioExperimental, Filters
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.accounts.auditlog_index(
8 account_id="72d6ae83-6404-4690-818e-a14a29b77d12",
9 filters=Filters(),
10 api_version="experimental",
11)
1{
2 "data": [
3 {
4 "account_id": "2d933d97-8c72-4a10-841c-73efe903a0a2",
5 "event_type": "comment_created",
6 "inserted_at": "2024-08-23T14:39:29.125812Z",
7 "ip_address": "162.198.0.1",
8 "project_id": "a4006382-8cdd-4083-a49d-9c13c9ff120c",
9 "resource_id": "077e1828-8a88-4dc2-8c20-a6385835ab08",
10 "resource_type": "comment",
11 "user_id": "ede1028b-0ee3-4e84-b284-966eacbc2abc",
12 "workspace_id": "10dcb84c-cc11-49f7-bf25-957e27ab1985",
13 "user": {
14 "active": true,
15 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
16 "email": "user_email@example.com",
17 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
18 "name": "Jon Doe"
19 }
20 }
21 ],
22 "links": {
23 "next": "/v4/accounts/123/audit_logs"
24 },
25 "total_count": 10
26}
List audit logs with filtering capabilities via query params. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://next.developer.frame.io/platform/v4/api-reference/accounts/auditlog-index <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

List collections

Next

List audit logs with filtering capabilities via query params.
This endpoint has been added to Current Version of the API.
Please see https://next.developer.frame.io/platform/v4/api-reference/accounts/auditlog-index
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Query parameters

includeenumOptional
Include query parameter for audit logs
Allowed values:
filtersobjectOptional
Audit logs search filter parameters
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Audit logs
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error